//script for nadine

void main( void )
{
preload_seq(361);
preload_seq(363);
preload_seq(367);
preload_seq(369);
&temp1hold = &current_sprite;
//lets remember the handle to Nadine, may need to control her with another
//script
int &myrand;
sp_base_walk(&current_sprite, 360);
sp_speed(&current_sprite, 1);
//sp_timing(&current_sprite, 66);

//set starting pic

sp_pseq(&current_sprite, 361);
sp_pframe(&current_sprite, 1);
sp_brain(&current_sprite, 16);

}

void talk( void )
{

 freeze(1);
 freeze(&current_sprite);
         choice_start()
(&s2-nad == 0) "为什么 Nadine 的房子这么乱"
(&s2-nad == 1) "提出去寻找 Nadine 的女儿"
(&s2-nad == 1) "激怒 Nadine"
(&s2-nad == 2) "告诉她你的搜寻毫无收获"
(&s2-nad == 3) "询问 Nadine 她和 Mary的日子过得如何"
         "离开"
         choice_end()
        if (&result == 5)
        {
        wait(400);
         say_stop("Nadine，最近和 Mary 过得怎样啊？", 1);
        wait(400);
        say_stop("`5棒极了！", &current_sprite);
        wait(400);
        say_stop("可你还是没打扫这个家啊...", 1);
        wait(400);
        say_stop("`5Mary 刚回家！这些小事我们以后再处理。", &current_sprite);
        }



        if (&result == 4)
        {
        wait(400);
         say_stop("还没有找到小 Mary 。", 1);
        wait(400);
        say_stop("`5她一人在外一定很孤独，很担心啊。", &current_sprite);
        wait(400);
        say_stop("嗯.. 除非她是被热心的好人给绑架的。", 1);
        wait(400);
        say_stop("`5你，请马上离开。", &current_sprite);
        }

        if (&result == 1)
        {
        wait(400);
         say_stop("你好 Nadine。我是新来的。为什么你的家怎么乱呢？", 1);
        wait(400);
        say_stop("`5自从我孩子被绑架了，我什么事都做不了。", &current_sprite);
        wait(400);
        say_stop("绑架？为什么这个镇的人没帮你去寻找呢？", 1);
        wait(400);
        say_stop("`5他们才不管我们。我们没钱。", &current_sprite);
        &s2-nad = 1;
        }

        if (&result == 2)
        {
        wait(400);
         say_stop("Nadine - 我才不管你偶没有钱呢。我帮你去找。", 1);
        wait(400);
        say_stop("`5你，真的吗？", &current_sprite);
        wait(400);
        say_stop("当然了。你孩子叫什么名字？", 1);
        wait(400);
        say_stop("`5Mary。她的名字是Mary。", &current_sprite);
        wait(400);
        say_stop("你知道有谁会想抓她吗？", 1);
        wait(400);
        say_stop("`5不，我不清楚。", &current_sprite);
        wait(400);
        say_stop("那就麻烦了。", 1);
        &s2-nad = 2;
        }

        if (&result == 3)
        {
        wait(400);
         say_stop("Nadine - 如果你有些钱，我会去帮你找。", 1);
        wait(400);
        say_stop("`5你知道我什么都没有的！看我这个猪圈一样的家！", &current_sprite);
        wait(400);
        say_stop("那就算了，还有，你是个丑八怪。", 1);
        wait(400);
        say_stop("`5哼，臭小子！", &current_sprite);
        }


   unfreeze(1);
   unfreeze(&current_sprite);
   return;

}

void hit(void)
{
 int &mcrap = random(4, 1);
    Say("滋味如何？", 1);
}
